Redmine - Feature #1501

New module : display doxygen documentation
2008-06-19 15:56 - Thomas Capricelli

Status: Closed Start date: 2008-06-19
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed

Description

In an ideal world, thie module could be enabled/disabled independently of the 'repository’ module, in such a way one can display the
doxygen pages without giving access to the repository.

Doxygen can output html pages, and the module could rely on having a "Doxyfile" on the project repository root directory. The difficult
part would be to integrate this with redmine i think. | know nothing about ruby so i can't help much here. | enjoy using redmine on
several different sites, each one having several projects.

History

#1 - 2008-06-19 16:21 -F T

A similar issue could be argued with JavaDoc or any other *doc system out of there.

#2 - 2008-06-19 17:27 - Adrian Tarau

+1, being able to include JavaDoc as a tab(actually to include any external ULR as a tab) it will be great.

#3 - 2008-06-19 18:21 - Thomas Capricelli

Sure, javadoc, pythondoc and so on would be interesting as well.
| agree that being able to add any url as 'tab' would be a great feature, my 'feature request' was also about

e redmine call the proper tool (doxygen...) to update the documentation.
¢ the generated pages nicely integrated in the site design

"any url as tab" would be a nice workaround until this, though :-)

#4 - 2008-07-02 17:27 - Guest Test

doxygen integration is the single biggest missing feature why I'm not moving from Trac to Redmine.

Just my 2 cent.

#5 - 2008-07-16 20:26 - Jean-Philippe Lang

See the new plugin Embedded. It has builtin templates for javadoc and doxygen files.
Feedback is welcome.

#6 - 2008-07-16 21:50 - Thomas Capricelli

| have never installed a plugin (actually did not even now there was some). I've tried this way (using revision 1666) :

fhweb redmine # svn info

Path:

URL: http://redmine.rubyforge.org/svn/trunk
Repository Root: http://redmine.rubyforge.org/svn
Repository UUID: e93f8b46-1217-0410-a6£0-8£f06a7374b81
Revision: 1666

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 1666

Last Changed Date: 2008-07-13 23:55:13 +0200 (Sun, 13 Jul 2008)

fhweb redmine # ruby script/plugin install http://redmine.rubyforge.org/svn/plugins/embedded
Plugin not found: ["http://redmine.rubyforge.org/svn/plugins/embedded"]
https://www.redmine.org/projects/redmine/wiki/PluginEmbedded

(Note that the file http:/redmine.rubyforge.org/svn/plugins/embedded/README refers to a dead page on the wiki)

| have noticed the page : http://www.redmine.org/wiki/redmine/Plugins
but as i'm supposed to use rails 2.1 with the latest svn, i'm not sure i should follow this.

#7 - 2008-07-23 21:14 - Eric Davis
| was able to install and setup the embedded plugin on my Redmine. I'm using it with rcov reports and RSpec html reports and it's working nicely.
Thomas Capricelli wrote:

(Note that the file http://redmine.rubyforge.org/svn/plugins/embedded/README refers to a dead page on the wiki)

It's working now, the Subversion must have been offline or something.

#8 - 2008-07-23 21:18 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.8

- Resolution set to Fixed

Eric, the link inside this file was wrong. It's fixed in r1694.

#9 - 2008-07-23 23:27 - Thomas Capricelli

i'm still not able to install the plugin though : from the redmine dir :

# ruby script/plugin install http://redmine.rubyforge.org/svn/plugins/embedded
Plugin not found: ["http://redmine.rubyforge.org/svn/plugins/embedded"]
